### Function

# Vte get_termprops

since: 0.78

#### Declaration [src]

    const char**
    vte_get_termprops (
      gsize* length
    )

#### Description [src]

Gets the names of the installed termprops in an unspecified order.

Available since: 0.78

#### Parameters

`length`

  Type: `gsize*`

  A location to store the length of the returned array.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `utf8`

The names of the installed termprops, or `NULL` if there are no termprops.

The length of the array is in the `length` argument.
The caller of the function takes ownership of the data container, but not the data inside it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.